## libnss-extrausers 0.3

=== debian/changelog ===
libnss-extrausers (0.3-1) unstable; urgency=low

  * fix spelling error in README (Closes: 573130)
  * allow gid 100 (Closes: 566399)
  * bump standards version
  * switch to 3.0 source format

 -- Bernhard R. Link <brlink@debian.org>  Tue, 09 Mar 2010 14:55:13 +0100

libnss-extrausers (0.2-3) unstable; urgency=low

  * when a group cannot be returned because of insufficuent
    buffers supplied by the caller, continue with the same group
    next time (Closes: 536789)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 28 Jul 2009 11:00:09 +0200

libnss-extrausers (0.2-2) unstable; urgency=low

  * fix build problem on architectures without an alternative
    architecture to build libraries for (Closes: 530882)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 29 May 2009 17:07:16 +0200

libnss-extrausers (0.2-1) unstable; urgency=low

  * new version
  - ignore lines starting with # to allow comments
  * install 32-bit or 64-bit version on architectures where possible

 -- Bernhard R. Link <brlink@debian.org>  Wed, 27 May 2009 13:57:34 +0200

libnss-extrausers (0.1-2) unstable; urgency=low

  * install README file (closes: #488746)
  * update to Standards-Version 3.8.0
  - support DEB_BUILD_OPTIONS

 -- Bernhard R. Link <brlink@debian.org>  Tue,  1 Jul 2008 17:31:02 +0200

libnss-extrausers (0.1-1) unstable; urgency=low

  * Initial upload

 -- Bernhard R. Link <brlink@debian.org>  Tue, 17 Apr 2007 16:53:43 +0200

libnss-extrausers (0.1-0) local-etch; urgency=low

  * general clean up and rename to prepare publishing

 -- Bernhard R. Link <brlink@debian.org>  Tue, 13 Feb 2007 21:41:26 +0100
