=== debian/control ===
Source: libnss-extrausers
Section: admin
Priority: extra
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 5), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390]
Standards-Version: 3.8.4

Package: libnss-extrausers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${alternatelibs:Suggests}
Description: nss module to have an additional passwd, shadow and group file
 This Name Service Switch (NSS) module reads /var/lib/extrausers/passwd,
 /var/lib/extrausers/shadow and /var/lib/extrausers/groups, allowing to
 store system accounts and accounts copied from other systems in different
 files.
