=== debian/changelog ===
libnss-extrausers (0.4-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports (added myself to Uploaders).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 31 Aug 2011 11:11:27 -0400

libnss-extrausers (0.4-2) unstable; urgency=low

  * do not use --no-allow-shlib-undefined gcc no longer
    supports (Closes: 624971)
  * Standards-Version to 3.9.2, no changes needed

 -- Bernhard R. Link <brlink@debian.org>  Thu, 05 May 2011 12:07:52 +0200

libnss-extrausers (0.4-1) unstable; urgency=low

  * treat empty fields as -1 to appease new glibc
  * modernize Debian packaging
  - debhelper compatibility to 7
  - standards version to 3.9.1
  - use dpkg-buildflags (and thus build-depend on new enough dpkg-dev)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 05 Mar 2011 16:16:19 +0100
