=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>= 5), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390]
-Standards-Version: 3.8.4
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Build-Depends: debhelper (>= 7), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390], dpkg-dev (>= 1.15.7~)
+Standards-Version: 3.9.2
+Vcs-Browser: http://git.debian.org/?p=users/brlink/libnss-extrausers.git;a=shortlog;h=refs/heads/debian
+Vcs-Git: git://git.debian.org/users/brlink/libnss-extrausers.git --branch debian
 
 Package: libnss-extrausers
 Architecture: any
