## libnss-extrausers 0.5

=== debian/changelog ===
libnss-extrausers (0.5-1) unstable; urgency=low

  * groups with too low gid are ignore instead of considered error
    (Closes: 627279)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 14 Sep 2011 18:59:29 +0200
