=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: admin
 Priority: extra
 Maintainer: Bernhard R. Link <brlink@debian.org>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 7), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390], dpkg-dev (>= 1.15.7~)
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=users/brlink/libnss-extrausers.git;a=shortlog;h=refs/heads/debian
