=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-CFLAGS += -Wall -g -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
+CFLAGS += -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
 # -Wl,--no-allow-shlib-undefined not possible due to 625712
 # (and libc no longer pulling in ld-linux.so in directly)
-LDFLAGS := -shared -Wl,-soname,$$(INSTALL_NAME) -Wl,-z,defs $(LDFLAGS)
+LDFLAGS += -Wl,-z,defs
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
