## libnss-extrausers 0.6

=== Makefile ===
--- 
+++ 
@@ -15,12 +15,14 @@
 CFLAGS = $(BIT_CFLAGS) -g -O2 -Wall -Wstrict-prototypes -Wpointer-arith -Wmissing-prototypes
 CPPFLAGS =
 LIBS = -lc
-LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs --no-allow-shlib-undefined
+LDLIBFLAGS = -shared -Wl,-soname,$(INSTALL_NAME)
+LDFLAGS = -Wl,-z,defs
+VERSION = unreleased
 
 all: $(SHARED_OBJECT)
 
 $(SHARED_OBJECT): $(OBJECTS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)
+	$(CC) $(CFLAGS) $(LDLIBFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)
 
 %$(OBJSUFFIX): %.c s_config.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c -o $@ $<
@@ -35,4 +37,10 @@
 
 distclean: clean
 
+dist: Makefile README s_config.h $(patsubst %$(OBJSUFFIX),%.c,$(OBJECTS))
+	mkdir libnss-extrausers-$(VERSION)
+	install -m 644 $^ libnss-extrausers-$(VERSION)
+	tar -cvvzf libnss-extrausers_$(VERSION).orig.tar.gz libnss-extrausers-$(VERSION)
+	rm -r libnss-extrausers-$(VERSION)
+
 .PHONY: all
