=== debian/changelog ===
libnss-extrausers (0.6-6ubuntu1) plucky; urgency=medium

  * Do not build for s390 on s390x, gcc-multilib no longer exists there

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 24 Mar 2025 14:26:08 +0000

libnss-extrausers (0.6-6) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Use ?= for assignments to architecture variables.
  * Change Vcs-* URLs from alioth to salsa.
  * Add debian/salsa-ci.yml.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Oct 2024 14:15:05 +0200

libnss-extrausers (0.6-5) unstable; urgency=medium

  [ Simon Quigley ]
  * Team upload.
  * ACK the previous NMU on behalf of the Debian QA Team. Thank you!

  [ James Henstridge ]
  * Allow low group IDs in order to extend /etc/group group membership
    (LP: #785051).

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 19 Jan 2024 11:53:07 -0600

libnss-extrausers (0.6-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Jul 2022 17:30:32 +0200

libnss-extrausers (0.6-4) unstable; urgency=medium

  * orphan package
  * apply some patches from Philipp Hahn
  * move git repository to collab-maint
  * replace ldconfig call with a trigger
  * switch debian/compat to 9

 -- Bernhard R. Link <brlink@debian.org>  Mon, 05 Sep 2016 16:08:15 +0200

libnss-extrausers (0.6-3) unstable; urgency=low

  * fix building lib32 on x390x (needs -m31 instead of -m32)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 16 May 2012 11:28:03 +0200

libnss-extrausers (0.6-2) unstable; urgency=low

  * add lib32 variant to s390x

 -- Bernhard R. Link <brlink@debian.org>  Tue, 15 May 2012 14:35:28 +0200

libnss-extrausers (0.6-1) unstable; urgency=low

  * ignore empty lines (Closes: 653102, 666157)
  * Standards-Version to 3.9.3, no changes needed

 -- Bernhard R. Link <brlink@debian.org>  Wed, 04 Apr 2012 17:38:14 +0200
