=== debian/control ===
Source: libnss-extrausers
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.15.7~),
               gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390],
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/libnss-extrausers
Vcs-Git: https://salsa.debian.org/debian/libnss-extrausers.git

Package: libnss-extrausers
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: ${alternatelibs:Suggests},
Description: nss module to have an additional passwd, shadow and group file
 This Name Service Switch (NSS) module reads /var/lib/extrausers/passwd,
 /var/lib/extrausers/shadow and /var/lib/extrausers/groups, allowing to
 store system accounts and accounts copied from other systems in different
 files.
