=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
@@ -47,7 +47,7 @@
 
 build-arch: build-arch-stamp $(foreach bits,$(ALSODO),build-arch-$(bits)-stamp)
 build-indep:
-build: build-arch-stamp
+build: build-arch
 
 build-arch-%-stamp:
 	$(MAKE) BITSOFS=$* CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS='$(ABIFLAG_$*) $(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'
@@ -82,7 +82,6 @@
 	for also in $(ALSODO) ; do \
 		$(MAKE) BITSOFS=$${also} install DESTDIR=$(CURDIR)/debian/libnss-extrausers ; \
 	done
-	install -m 644 debian/libnss-extrausers.lintian debian/libnss-extrausers/usr/share/lintian/overrides/libnss-extrausers
 	dh_installchangelogs
 	dh_installdocs
 	dh_link
